// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdOnDeviceDocumentScanner",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdOnDeviceDocumentScanner", targets: ["WebIdOnDeviceDocumentScannerWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-document-scanner-spm.git",
            .branch("snapshots")
        ),
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-plugin-core-spm.git",
            .branch("snapshots")
        ),
        .package(
            name: "DocumentReader",
            url: "https://github.com/regulaforensics/DocumentReader-Swift-Package",
            .exact("7.5.4221")
        ),
        .package(
            name: "Full",
            url: "https://github.com/regulaforensics/DocumentReaderFull-Swift-Package",
            .exact("7.5.11015")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdOnDeviceDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/snapshots/de/webid-solutions/WebIdOnDeviceDocumentScanner/12.3.0/WebIdOnDeviceDocumentScanner.framework-v12.3.0-SNAPSHOT-1339.zip",
            checksum: "06a7dbf828b692fb6ea2e13e1d234e1c20a9887d531f05a90a3e1aba0e38d6d8"
        ),
        .target(
            name: "WebIdOnDeviceDocumentScannerWrapper",
            dependencies: [
                .target(name: "WebIdOnDeviceDocumentScanner"),
                // [target dependecies here]
                
                .product(name: "WebIdDocumentScanner", package: "WebIdDocumentScanner"),
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
                .product(name: "DocumentReader", package: "DocumentReader"),
                .product(name: "Full", package: "Full"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
